package ruleEngine

// Creator interface
type Creator interface {
	// make actor id
	CreateActorId() string
	// make a actor
	CreateActor() Actor
}

// ContextBasedCreator a creator with system context and actor context
type ContextBasedCreator struct {
	SystemCtx *SystemContext
	Ctx       Ctx
}
